var search_data = {"index":{"searchIndex":["freshen","cli","executable","executableerror","freshenerloaderror","freshenernotinstalled","system","unsupportedkernel","updatemethodnotimplementederror","freshenary","status","freshener","module","string","time","_execute()","all()","attr_class()","ballot()","blue()","bold()","check_supported!()","check_supported!()","checkmark()","class_for()","cli?()","command_string()","create_directories!()","duration_of()","ensure_installed!()","execute()","freshen()","freshen_up()","gray()","green()","info()","installed?()","instance_of()","instances_of()","kernel()","list()","load_by_name()","modify()","needs_freshening?()","new()","new()","new()","new()","new()","new()","prefix()","red()","require_tree!()","supported?()","to_s()","to_s()","to_s()","to_s()","to_s()","up()","version()","yellow()"],"longSearchIndex":["freshen","freshen::cli","freshen::executable","freshen::executableerror","freshen::freshenerloaderror","freshen::freshenernotinstalled","freshen::system","freshen::unsupportedkernel","freshen::updatemethodnotimplementederror","freshenary","freshenary::status","freshener","module","string","time","freshen::executable#_execute()","freshener::all()","module#attr_class()","string::ballot()","string#blue()","string#bold()","freshen::system#check_supported!()","freshen::system::check_supported!()","string::checkmark()","freshener::class_for()","freshen::cli?()","freshen::executable::command_string()","freshen::create_directories!()","time::duration_of()","freshener::ensure_installed!()","freshen::executable#execute()","freshener#freshen()","freshenary::freshen_up()","string#gray()","string#green()","freshen::cli#info()","freshener::installed?()","freshener::instance_of()","freshener::instances_of()","freshen::system#kernel()","freshen::cli#list()","freshener::load_by_name()","string#modify()","freshener#needs_freshening?()","freshen::executableerror::new()","freshen::freshenerloaderror::new()","freshen::freshenernotinstalled::new()","freshen::system::new()","freshen::unsupportedkernel::new()","freshen::updatemethodnotimplementederror::new()","string::prefix()","string#red()","freshen::require_tree!()","freshen::system#supported?()","freshen::executableerror#to_s()","freshen::freshenerloaderror#to_s()","freshen::freshenernotinstalled#to_s()","freshen::unsupportedkernel#to_s()","freshen::updatemethodnotimplementederror#to_s()","freshen::cli#up()","freshen::cli#version()","string#yellow()"],"info":[["Freshen","","Freshen.html","","<p>This class contains the core Freshen functionality\n"],["Freshen::CLI","","Freshen/CLI.html","","<p>The command line interface class.\n"],["Freshen::Executable","","Freshen/Executable.html","","<p>This module allows you to execute shell commands without terminating the current ruby process.\n"],["Freshen::ExecutableError","","Freshen/ExecutableError.html","","<p>A RuntimeError subclass for when an executing command fails.\n"],["Freshen::FreshenerLoadError","","Freshen/FreshenerLoadError.html","","<p>A LoadError subclass for when a freshener failed to load.\n"],["Freshen::FreshenerNotInstalled","","Freshen/FreshenerNotInstalled.html","","<p>An Exception subclass for when a freshener is not installed.\n"],["Freshen::System","","Freshen/System.html","","<p>The system class responsible for checking if the current system&#39;s kernel is supported.\n"],["Freshen::UnsupportedKernel","","Freshen/UnsupportedKernel.html","","<p>A RuntimeError subclass for when the current system&#39;s kernel is unsupported.\n"],["Freshen::UpdateMethodNotImplementedError","","Freshen/UpdateMethodNotImplementedError.html","","<p>A NotImplementedError subclass for when the update method of a freshener subclass has not been implemented. …\n"],["Freshenary","","Freshenary.html","",""],["Freshenary::Status","","Freshenary/Status.html","","<p>The statuses for the Freshenary class.\n"],["Freshener","","Freshener.html","",""],["Module","","Module.html","",""],["String","","String.html","",""],["Time","","Time.html","",""],["_execute","Freshen::Executable","Freshen/Executable.html#method-i-_execute","(output, command, *args)","<p>Execute a shell command using the specified output pipe.\n<p>This method should not be used directly.\n<p>Arguments: …\n"],["all","Freshener","Freshener.html#method-c-all","()","<p>Returns a Hash of all installed fresheners.\n<p>Example:\n\n<pre>&gt;&gt; Freshener.all\n=&gt; { &quot;rubygems&quot; =&gt; #&lt;RubyGems:0x00000000000000&gt; ...</pre>\n"],["attr_class","Module","Module.html#method-i-attr_class","(*attributes)","<p>Define static attributes on a class.\n<p>Example:\n\n<pre>&gt;&gt; class BaseTest\n&gt;&gt;   attr_class :name\n&gt;&gt; end\n&gt;&gt;\n&gt;&gt; class ...</pre>\n"],["ballot","String","String.html#method-c-ballot","()","<p>A UTF-8 ballot.\n<p>Example:\n\n<pre>&gt;&gt; String.ballot\n=&gt; &quot;✘&quot;</pre>\n"],["blue","String","String.html#method-i-blue","()","<p>Make a string blue.\n<p>Example:\n\n<pre>&gt;&gt; puts &quot;freshen&quot;.blue\n=&gt; &quot;\\e[34mfreshen\\e[0m&quot;</pre>\n"],["bold","String","String.html#method-i-bold","()","<p>Make a string bold.\n<p>Example:\n\n<pre>&gt;&gt; puts &quot;freshen&quot;.bold\n=&gt; &quot;\\e[1mfreshen\\e[0m&quot;</pre>\n"],["check_supported!","Freshen::System","Freshen/System.html#method-i-check_supported-21","()","<p>Check if the current kernel is supported and if not, raise an UnsupportedKernel error\n<p>Example:\n\n<pre>&gt;&gt; system ...</pre>\n"],["check_supported!","Freshen::System","Freshen/System.html#method-c-check_supported-21","()","<p>Check if the current Operating System is supported and if not, raise an UnsupportedOperatingSystem error …\n"],["checkmark","String","String.html#method-c-checkmark","()","<p>A UTF-8 checkmark.\n<p>Example:\n\n<pre>&gt;&gt; String.checkmark\n=&gt; &quot;✔&quot;</pre>\n"],["class_for","Freshener","Freshener.html#method-c-class_for","(name)","<p>Get the class name for a freshener.\n<p>Arguments:\n\n<pre>name: (String)</pre>\n"],["cli?","Freshen","Freshen.html#method-c-cli-3F","()","<p>Returns a boolean value of whether or not we are running by the CLI.\n"],["command_string","Freshen::Executable","Freshen/Executable.html#method-c-command_string","(command, *args)","<p>Get the full command string for a command and it&#39;s arguments.\n<p>Example:\n\n<pre>&gt;&gt; Freshen::Executable.command_string ...</pre>\n"],["create_directories!","Freshen","Freshen.html#method-c-create_directories-21","()","<p>This will create all required directories if they don&#39;t exist yet.\n<p>Example:\n\n<pre>&gt;&gt; Freshen.create_directories! ...</pre>\n"],["duration_of","Time","Time.html#method-c-duration_of","(&block)","<p>The total time (in seconds) for the block to complete.\n<p>Example:\n\n<pre>&gt;&gt; Time.duration_of { sleep 2 }\n=&gt; 2.000000000000001</pre>\n"],["ensure_installed!","Freshener","Freshener.html#method-c-ensure_installed-21","(*fresheners)","<p>Ensure that the specified fresheners are installed.\n<p>Arguments:\n\n<pre>&gt;&gt; Freshener.ensure_installed! :ruby_gems ...</pre>\n"],["execute","Freshen::Executable","Freshen/Executable.html#method-i-execute","(command, *args, &block)","<p>Execute a shell command.\n<p>If you provide a block\n<p>Arguments:\n"],["freshen","Freshener","Freshener.html#method-i-freshen","()","<p>Freshen up the freshener!\n<p>Example:\n\n<pre>&gt;&gt; rubygems = RubyGems.new\n&gt;&gt; rubygems.freshen\n=&gt; nil</pre>\n"],["freshen_up","Freshenary","Freshenary.html#method-c-freshen_up","(*fresheners, &block)","<p>Call the update method on either all or the specified fresheners.\n<p>Arguments:\n\n<pre>fresheners: (Array)</pre>\n"],["gray","String","String.html#method-i-gray","()","<p>Make a string gray.\n<p>Example:\n\n<pre>&gt;&gt; puts &quot;freshen&quot;.gray\n=&gt; &quot;\\e[37mfreshen\\e[0m&quot;</pre>\n"],["green","String","String.html#method-i-green","()","<p>Make a string green.\n<p>Example:\n\n<pre>&gt;&gt; puts &quot;freshen&quot;.green\n=&gt; &quot;\\e[32mfreshen\\e[0m&quot;</pre>\n"],["info","Freshen::CLI","Freshen/CLI.html#method-i-info","(freshener)",""],["installed?","Freshener","Freshener.html#method-c-installed-3F","(*fresheners)","<p>Check that the specified fresheners are installed.\n<p>Arguments:\n\n<pre>fresheners: (Splat)</pre>\n"],["instance_of","Freshener","Freshener.html#method-c-instance_of","(name)","<p>Returns an instance of the specified freshener.\n<p>Arguments:\n\n<pre>name: (String)</pre>\n"],["instances_of","Freshener","Freshener.html#method-c-instances_of","(*fresheners)","<p>Returns a Hash containing instances of the specified freshehers.\n<p>Example:\n\n<pre>&gt;&gt; Freshener.instances_of :ruby_gems ...</pre>\n"],["kernel","Freshen::System","Freshen/System.html#method-i-kernel","()","<p>Get the current version of this system&#39;s kernel\n<p>Example (OS X):\n\n<pre>&gt;&gt; system = Freshen::System.new\n&gt;&gt; ...</pre>\n"],["list","Freshen::CLI","Freshen/CLI.html#method-i-list","()",""],["load_by_name","Freshener","Freshener.html#method-c-load_by_name","(name)","<p>Load a freshener from the fresheners directory.\n<p>Arguments:\n\n<pre>name: (String)</pre>\n"],["modify","String","String.html#method-i-modify","(code)","<p>Wrap the current string using the specified code.\n"],["needs_freshening?","Freshener","Freshener.html#method-i-needs_freshening-3F","()","<p>Whether or not we the freshener needs freshening up.\n<p>Example:\n\n<pre>&gt;&gt; rubygems = RubyGems.new\n&gt;&gt; rubygems.needs_freshening? ...</pre>\n"],["new","Freshen::ExecutableError","Freshen/ExecutableError.html#method-c-new","(name, command, *args)",""],["new","Freshen::FreshenerLoadError","Freshen/FreshenerLoadError.html#method-c-new","(name)",""],["new","Freshen::FreshenerNotInstalled","Freshen/FreshenerNotInstalled.html#method-c-new","(name)",""],["new","Freshen::System","Freshen/System.html#method-c-new","()","<p>Setup an instance of this class with an array of supported kernels\n<p>Example:\n\n<pre>&gt;&gt; Freshen::System.new\n=&gt; #&lt;Freshen:0x00000000000000&gt;</pre>\n"],["new","Freshen::UnsupportedKernel","Freshen/UnsupportedKernel.html#method-c-new","(kernel)",""],["new","Freshen::UpdateMethodNotImplementedError","Freshen/UpdateMethodNotImplementedError.html#method-c-new","(freshener)",""],["prefix","String","String.html#method-c-prefix","()","<p>A simple string prefix.\n<p>Example:\n\n<pre>&gt;&gt; String.prefix\n=&gt; &quot;==&gt;&quot;</pre>\n"],["red","String","String.html#method-i-red","()","<p>Make a string red.\n<p>Example:\n\n<pre>&gt;&gt; puts &quot;freshen&quot;.red\n=&gt; &quot;\\e[31mfreshen\\e[0m&quot;</pre>\n"],["require_tree!","Freshen","Freshen.html#method-c-require_tree-21","()","<p>This will use the ruby &#39;require&#39; method to require all freshen files included with this gem. …\n"],["supported?","Freshen::System","Freshen/System.html#method-i-supported-3F","()","<p>A boolean value of whether or not this system&#39;s kernel is supported\n<p>Example:\n\n<pre>&gt;&gt; system = Freshen::System.new ...</pre>\n"],["to_s","Freshen::ExecutableError","Freshen/ExecutableError.html#method-i-to_s","()",""],["to_s","Freshen::FreshenerLoadError","Freshen/FreshenerLoadError.html#method-i-to_s","()",""],["to_s","Freshen::FreshenerNotInstalled","Freshen/FreshenerNotInstalled.html#method-i-to_s","()",""],["to_s","Freshen::UnsupportedKernel","Freshen/UnsupportedKernel.html#method-i-to_s","()",""],["to_s","Freshen::UpdateMethodNotImplementedError","Freshen/UpdateMethodNotImplementedError.html#method-i-to_s","()",""],["up","Freshen::CLI","Freshen/CLI.html#method-i-up","(*fresheners)",""],["version","Freshen::CLI","Freshen/CLI.html#method-i-version","()",""],["yellow","String","String.html#method-i-yellow","()","<p>Make a string yellow.\n<p>Example:\n\n<pre>&gt;&gt; puts &quot;freshen&quot;.yellow\n=&gt; &quot;\\e[33mfreshen\\e[0m&quot;</pre>\n"]]}}